"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatGenerics = formatGenerics;
exports.formatTypeName = formatTypeName;
exports.formatIdentifierName = formatIdentifierName;
const validateIdentifier_1 = require("dtsgenerator/dist/core/validateIdentifier");
const lodash_1 = require("lodash");
const typescript_1 = require("typescript");
/**
 * format open api generic type to typescript type
 * @example ResponseContent«Boolean» -> ResponseContentBoolean
 * @param type GenericType
 * @returns formatted type
 */
function formatGenerics(type) {
    return (0, validateIdentifier_1.toTypeName)((0, lodash_1.startCase)(type), typescript_1.ScriptTarget.Latest);
}
/**
 * format open api type to typescript type
 * @param str identifier
 * @returns formatted type
 */
function formatTypeName(str) {
    return (0, validateIdentifier_1.toTypeName)(str, typescript_1.ScriptTarget.Latest);
}
function formatIdentifierName(str) {
    return (0, validateIdentifier_1.toValidIdentifier)(str, typescript_1.ScriptTarget.Latest);
}
